Name:           dynamips
Version:        0.2.23
Release:        %mkrel 1
Summary:        Cisco router emulator
License:        GPLv2
Group:          Emulators
URL:            https://github.com/GNS3/dynamips
Source0:        https://github.com/GNS3/dynamips/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Build-and-test-a-linux-amd64-version-of-dynamips-with-a.patch

BuildRequires:  cmake
BuildRequires:  libpcap-devel
BuildRequires:  elfutils-devel
BuildRequires:  pkgconfig(uuid)

ExclusiveArch:  %{ix86} x86_64

%description
Dynamips is a software that emulates Cisco IOS on a traditional PC. It has been
made by Christophe Fillot who started his work in August 2005. The last
official release of Dynamips supports Cisco 7200, 3600 series (3620, 3640 and
3660), 3700 series (3725, 3745) and 2600 series (2610 to 2650XM, 2691) and
therefore is very popular with people studying for CCNA, CCNP and CCIE
certification exams. Please note that you must provide your own IOS images
compatible with the Cisco hardware emulated by Dynamips.

This is Cisco Router Emulator developed by GNS3 Community.


%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/%{name}/COPYING

%files
%license COPYING
%doc README.md README.hypervisor TODO ChangeLog
%doc MAINTAINERS RELEASE-NOTES
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Fri Jul 25 2025 aurr <aurr> 0.2.23-1.mga10
+ Revision: 2259325
- new version: 0.2.23

* Thu Jul 03 2025 daviddavid <daviddavid> 0.2.21-3.mga10.nonfree
+ Revision: 2244299
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Apr 15 2022 umeabot <umeabot> 0.2.21-2.mga9.nonfree
+ Revision: 1850336
- Mageia 9 Mass Rebuild

* Fri May 01 2020 wally <wally> 0.2.21-1.mga8.nonfree
+ Revision: 1577657
- new version 0.2.21

* Fri Feb 21 2020 daviddavid <daviddavid> 0.2.20-2.mga8.nonfree
+ Revision: 1548653
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Mar 08 2019 shlomif <shlomif> 0.2.20-1.mga7.nonfree
+ Revision: 1372740
- New version 0.2.20

* Thu Sep 20 2018 umeabot <umeabot> 0.2.14-2.mga7.nonfree
+ Revision: 1278053
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros
- Update file list

* Tue Jul 28 2015 daviddavid <daviddavid> 0.2.14-1.mga6.nonfree
+ Revision: 858433
- new version: 0.2.14
- update Source URL
- swith to cmake build
- add BuildRequires on cmake

* Tue Sep 16 2014 umeabot <umeabot> 0.2.12-2.mga5.nonfree
+ Revision: 678901
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 0.2.12-1.mga5.nonfree
+ Revision: 640922
- Update to 0.2.12 and drop plenty of things no longer needed

* Thu Oct 31 2013 tmb <tmb> 0.2.8-0.RC3.0.community.6.mga4.nonfree
+ Revision: 548363
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.8-0.RC3.0.community.5.mga3.nonfree
+ Revision: 349205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.2.8-0.RC3.0.community.4.mga3.nonfree
+ Revision: 324452
- cleaning

* Tue Nov 29 2011 kamil <kamil> 0.2.8-0.RC3.0.community.3.mga2
+ Revision: 174054
- fix a typo in the description
- fix the width of the description
- clean spec

* Thu Nov 10 2011 anssi <anssi> 0.2.8-0.RC3.0.community.1.mga2
+ Revision: 166247
- do not mv binaries in Makefile, it causes a relink in %%install
  (updates make.patch)
- link binaries with LDFLAGS (updates make.patch)
+ kamil <kamil>
- fix a typo on a man page
- a bit more cleaning
- build and installation fixed
- new version
- description updated
- summary updated
- URL changed
- now licensed under GPLv2
- new build requirements on libuuid-devel
- cleaning
- imported package dynamips


* Sat Jan 31 2009 Buchan Milne <bgmilne@mandriva.org> 0.2.8-0.RC2.1mdv2009.1
+ Revision: 335777
- New version 0.2.8-rc2

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-2mdv2009.1
+ Revision: 298249
- rebuilt against libpcap-1.0.0

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.2.7-1mdv2008.1
+ Revision: 140723
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 04 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.7-1mdv2008.0
+ Revision: 35016
- New version 0.2.7 final


* Sun Mar 11 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.7-0.RC1.2mdv2007.1
+ Revision: 141251
- New version 0.2.7-RC1
- Add labs and images directories for use in hypervisor mode
- Fix build on x86_64

* Wed Jan 17 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.6-0.RC5.1mdv2007.1
+ Revision: 109963
- Import dynamips

* Sat Jan 06 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.5-1mdv
- initial package

